import request from '@/utils/request'

// 查询驾校合同列表
export function listContract(query) {
  return request({
    url: '/system/driveSchool/contract/list',
    method: 'get',
    params: query
  })
}

// 查询驾校合同详细
export function getContract(id) {
  return request({
    url: '/system/driveSchool/contract/' + id,
    method: 'get'
  })
}

// 新增驾校合同
export function addContract(data) {
  return request({
    url: '/system/driveSchool/contract',
    method: 'post',
    data: data
  })
}

// 修改驾校合同
export function updateContract(data) {
  return request({
    url: '/system/driveSchool/contract',
    method: 'put',
    data: data
  })
}

// 删除驾校合同
export function delContract(id) {
  return request({
    url: '/system/driveSchool/contract/' + id,
    method: 'delete'
  })
}
